package com.gh.gamecenter.room.converter

import androidx.room.TypeConverter
import com.gh.gamecenter.common.utils.toJson
import com.gh.gamecenter.common.utils.toObject
import com.gh.gamecenter.qa.entity.TimeEntity

class TimeConverter {
    @TypeConverter
    fun toTimeString(data: TimeEntity?): String {
        return data?.toJson() ?: ""
    }

    @TypeConverter
    fun toTimeEntity(token: String?): TimeEntity {
        return token?.toObject() ?: TimeEntity()
    }
}